Peng, Yifan, 2014: a generalizable NLP framework for fast development of pattern-based biomedical relation extraction systems

This paper reports a new framework for fast development of relation extraction systems. This task can be normally conducted in two ways: machine-learning approach, and pattern-base approaches. ML is data-driven and can be quite effective. But the outcomes are also dependent upon the amount of annotated data, the preparation of which is time-consuming and expensive. On the other hand, pattern-based approaches only requires domain expert to design and implement the system. If implemented rigidly, pattern approaches can often generate higher precision and lower recall.

In this new system, two additional design features were used: text simplification (design of a small set of lexico-syntactic patterns to match simple sentence constructs; rather than account for all complex syntactic construct by constructing an exhaustively large amount of patterns) and referential relations (detecting phrases referring to the same entity or in a particular relation). Moreover, this framework is based on the attribute of languages, rather than any specific language, so it is potentially applicable to many different types of information.

This study shares linguistic assumptions with some other studies, especially Lexicalized Tree Adjoining Grammar (LTAG). Especially, this study adopts coreference and hyponymy (the relationship between a general work, or hypernym, and a specific instance of it, or hyponym) relationships.

Method (architecture overview): the system has four parts: 
- pattern generation: use trigger specifications and predefined pattern templates to derive lexico-syntactic patterns for each trigger word
- pattern matching: matches fragments of text with lexico-syntactic patterns and extracts the textual expressions in the trigger and argument positions
- sentence simplification: preprocess the input text
- referential relation linking: links arguments identified by the pattern matching module with the target entities they refer to

and two external modules (parsing and entity typing). Moreover, pattern generation is dependent upon the trigger word, which specifies the arguments, the selection restrictions on the argument, and the role they play (trigger specification); and the syntactic constraints corresponding to different constructs (pattern templates).

For each trigger term, the root morpheme is offered by the users. And the two parts (NP0 and NP1, if any) before and after the trigger word are analyzed. Relation can be directional or undirectional.

In terms of the pattern template, one argument is captured at a time, and then those with the same trigger are combined. Pattern templates can be grouped into two categories; with explicit argument and with null argument.

Moreover, there are cases where writing style does not follow the common trigger-argument association.

The goal of sentence simplification is to increase the recall of the system.